%global gname haclient
%global uname hacluster
%global pcmk_docdir %{_docdir}/%{name}

%global specversion 32
%global upstream_prefix pacemaker
%global upstream_version Pacemaker-1.1.10

# Turn off the auto compilation of python files not in the site-packages directory
# Needed so that the -devel package is multilib compliant
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

%global rawhide  %(test ! -e /etc/yum.repos.d/fedora-rawhide.repo; echo $?)
%global cs_version %(pkg-config corosync --modversion  | awk -F . '{print $1}')
%global py_site %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

# Conditionals
# Invoke "rpmbuild --without <feature>" or "rpmbuild --with <feature>"
# to disable or enable specific features

# Legacy stonithd fencing agents
%bcond_with stonithd

# Build with/without support for profiling tools
%bcond_with profiling

# Include Build with/without support for performing coverage analysis
%bcond_with coverage

# We generate docs using Publican, Asciidoc and Inkscape, but they're not available everywhere
%bcond_without doc

# Use a different versioning scheme
%bcond_with pre_release

# Ship an Upstart job file
%bcond_with upstart_job

# Turn off cman support on platforms that normally ship with it
%bcond_with cman

%if %{with profiling}
# This disables -debuginfo package creation and also the stripping binaries/libraries
# Useful if you want sane profiling data
%global debug_package %{nil}
%endif

%if %{with pre_release}
%global pcmk_release 0.%{specversion}.%{upstream_version}.git
%else
%global pcmk_release %{specversion}
%endif

Name:          pacemaker
Summary:       Scalable High-Availability cluster resource manager
Version:       1.1.10
Release:       %{pcmk_release}%{?dist}.1
License:       GPLv2+ and LGPLv2+
Url:           http://www.clusterlabs.org
Group:         System Environment/Daemons

Source0:       https://github.com/ClusterLabs/pacemaker/archive/%{upstream_version}.tar.gz
Patch1:        pacemaker-fix_crmd_prevent_recurring_monitors_being_cancelled_due_to_notify_operations.patch
Patch2:        pacemaker-fix_pe_do_not_restart_resources_that_depend_on_unmanaged_resources.patch
Patch3:        pacemaker-fix_crmd_prevent_crash_by_passing_log_arguments_in_the_correct_order.patch
Patch4:        pacemaker-fix_pe_do_not_re-allocate_clone_instances_that_are_blocked_in_the_stopped_state.patch
Patch5:        pacemaker-fix_pe_do_not_allow_colocation_with_blocked_clone_instances.patch
Patch6:        pacemaker-test_pe_do_not_allow_colocation_with_blocked_clone_instances.patch
Patch7:        pacemaker-fix_systemd_prevent_glib_assertion_-_only_call_g_error_free_with_non-null_arguments.patch
Patch8:        pacemaker-fix_logging_glib_crit_messages_should_not_produce_core_files_by_default.patch
Patch9:        pacemaker-doc_controld_update_the_description.patch
Patch10:        pacemaker-fix_pe_correctly_account_for_the_location_preferences_of_things_colocated_with_a_group.patch
Patch11:        pacemaker-log_crm_mon_clean_up_the_output_for_failed_operations.patch
Patch12:        pacemaker-fix_cib_correctly_log_short-form_xml_diffs.patch
Patch13:        pacemaker-fix_crmd_correcty_update_the_history_cache_when_recurring_ops_change_their_return_code.patch
Patch14:        pacemaker-log_pe_better_indicate_when_a_resource_has_failed.patch
Patch15:        pacemaker-test_pe_better_indicate_when_a_resource_has_failed.patch
Patch16:        pacemaker-fix_services_prevent_use-of-null_in_g_error_free.patch
Patch17:        pcmk-fencing_support_agents_that_need_the_host_to_be_unfenced_at_startup.patch
Patch18:        pcmk-crm_report_collect_corosync_quorum_data.patch
Patch19:        bz902407-pcmk-location_constraints_are_allowed_to_specify_a_role.patch
Patch20:        bz902407-pcmk-crm_resource_handle_ban_for_master_slave_resources_as_advertised.patch
Patch21:	pacemaker-fix-setting-remote-node-attributes.patch
Patch22:	pacemaker-fix-orphaned-connection-resources.patch
Patch23:	pacemaker-add-RemoteLXC-cts-test.patch
Patch24:        bz902407-pcmk-provide_a_meaningful_error_if_master_is_used_for_primitives_and_groups.patch
Patch25:        bz996576-pcmk-observe_pcmk_host_list_during_automatic_unfencing.patch
Patch26:        bz996576-pcmk-crm_report_correctly_redirect_error_message_to_dev_null.patch
Patch27:        bz1011618-pcmk-consistently_use_slave_as_the_role_for_unpromoted_master_slave_resources.patch
Patch28:        bz902407-pcmk-pe_location_constraints_with_role_started_should_prevent_masters_from_running_at_all.patch
Patch29:        bz902407-pcmk-crm_resource_observe_master_modifier_for_move.patch
Patch30:        bz996850-pcmk-log_crmd_supply_arguments_in_the_correct_order.patch
Patch31:        bz720543-pcmk-crmd_don_t_add_node_state_to_cib_if_we_have_not_seen_or_fenced_this_node_yet.patch
Patch32:        bz720543-pcmk-prevent_use_of_null_when_ping_resources_do_not_define_a_host_list.patch
Patch33:        bz720543-pcmk-reduce_duplication_by_merging_the_lrmd_exec_rc_enum_with_ocf_exitcode.patch
Patch34:        bz720543-pcmk-pe_don_t_prevent_clones_from_running_due_to_dependant_resources.patch
Patch35:        bz720543-pcmk-pe_update_regression_test_scores.patch
Patch36:        bz720543-pcmk-cib_allow_values_to_be_added_updated_and_removed_in_a_single_update.patch
Patch37:        bz720543-pcmk-crm_report_record_the_output_of_the_collector.patch
Patch38:        bz720543-pcmk-crm_report_do_not_print_garbage_when_collecting_from_the_local_node.patch
Patch39:        bz720543-pcmk-ipc_raise_the_default_buffer_size_to_128k.patch

Patch41:        bz720543-pcmk-lrmd_correctly_cancel_monitor_actions_for_lsb_systemd_service_resources_on_cleaning_up.patch
Patch42:        bz720543-pcmk-fencing_do_not_broadcast_suicide_if_the_on_action_is_being_executed.patch
Patch43:        bz720543-pcmk-fencing_allow_fencing_for_node_after_topology_entries_are_deleted.patch
Patch44:        bz720543-pcmk-iso8601_prevent_dates_from_jumping_backwards_a_day_in_some_timezones.patch
Patch45:        bz720543-pcmk-crmd_correctly_update_expected_state_when_the_previous_dc_shuts_down.patch
Patch46:        bz720543-pcmk-crm_resource_wait_for_all_replies_when_cleaning_up_resources.patch
Patch47:        bz720543-pcmk-cli_do_not_enabled_blackbox_for_cli_tools.patch
Patch48:        bz720543-pcmk-crmd_cache_rsc_info_retrieved_from_lrmd_and_pacemaker_remoted.patch
Patch49:        bz720543-pcmk-crmd_pad_internal_lrmd_rsc_info_and_metadata_retrieval_timeout.patch
Patch50:        bz720543-pcmk-remote_properly_version_the_remote_connection_protocol.patch
Patch51:        bz720543-pcmk-remote_improved_logging_of_recv_errors.patch
Patch52:        bz720543-pcmk-ipc_use_the_higher_of_the_configured_buffer_size_or_the_default.patch
Patch53:        bz720543-pcmk-fencing_deep_copy_current_topology_level_list_on_remote_op.patch
Patch54:        bz720543-pcmk-remote_handle_endian_changes_between_client_and_server_and_improve_forward_compatibility.patch
Patch55:        bz720543-pcmk-command_line_tools_should_stop_after_an_assertion_failure.patch
Patch56:        bz720543-pcmk-pe_probe_containers_not_expected_to_be_up.patch
Patch57:        bz720543-pcmk-pcmk_remote_ipv6_support.patch
Patch58:        bz1028627-pcmk-fix_controld_use_corosync2_dlm_variant.patch
Patch59:        bz720543-pcmk-tools_fixes_formatting_of_remote_nodes_in_crm_mon_and_crm_simulate.patch
Patch60:        bz720543-pcmk-corosync_attempt_to_retrieve_a_peer_s_node_name_if_it_is_not_already_known.patch
Patch61:        bz720543-pcmk-removes_unnecessary_newlines_in_crm_resource_o_output.patch
Patch62:        bz1057697-pcmk-services_detect_missing_agents_and_permission_errors_before_forking.patch
Patch63:        bz1057697-pcmk-use_native_dbus_library_for_systemd_support_to_avoid_problematic_use_of_threads.patch
Patch64:        bz1057697-pcmk-use_native_dbus_library_for_systemd_async_support_to_avoid_problematic_use_of_threads.patch
Patch65:        bz1057697-pcmk-systemd_simplify_dbus_api_usage.patch
Patch66:        bz1057697-pcmk-portability_use_basic_types_for_dbus_compatability_struct.patch
Patch67:        bz1057697-pcmk-use_native_dbus_library_for_upstart_support_to_avoid_problematic_use_of_threads.patch
Patch68:        bz1057697-pcmk-dbus_use_native_function_for_adding_arguments_to_messages.patch
Patch69:        bz1057697-pcmk-services_keep_dbus_build_support_optional.patch
Patch70:        bz1060205-pcmk-mcp_tell_systemd_not_to_respawn_us_if_we_return_100.patch
Patch71:        bz1064519-pcmk-controld-handles-dlm-startup-fencing.patch
Patch72:        bz1067536-pcmk-controld-wait-for-address-list.patch
Patch73:        bz1069284-pcmk-prevent_resources_in_an_anti_colocation_from_even_temporarily_running_on_a_same_node.patch
Patch74:        bz1070916-pcmk-send_details_of_stonith_api_time_and_stonith_api_kick_to_syslog.patch
Patch75:        bz1070916-pcmk-fencing_pass_the_correct_options_when_looking_up_the_history_by_node_name.patch
Patch76:        bz1070916-pcmk-api_time_helper_now_returns_when_the_most_recent_fencing_operation_completed.patch
Patch77:        bz1070916-pcmk-crm_report_allow_ssh_alternatives_to_be_used.patch
Patch78:        bz1070916-pcmk-crm_report_additional_dlm_detail.patch
Patch79:        bz1070916-pcmk-crm_report_only_gather_dlm_data_if_dlm_controld_is_running.patch
Patch80:        bz1070916-pcmk-pe_gracefully_handle_bad_values_for_xml_attr_transition_magic.patch
Patch81:        bz1070916-pcmk-crmd_gracefully_handle_actions_that_cannot_be_initiated.patch
Patch82:        bz1070916-pcmk-test_tools_set_up_override_for_local_schema_file_locations.patch
Patch83:        bz1070916-pcmk-pengine_update_regression_tests.patch
Patch84:        bz1070916-pcmk-crm_resource_prevent_use_of_null.patch
Patch85:        bz1070916-pcmk-systemd_prevent_use_of_null_when_determining_if_an_agent_exists.patch
Patch86:        bz1070916-pcmk-fencing_remove_shadow_definition_and_use_of_variable_progress.patch
Patch87:        bz1078504-pcmk-pengine_fixes_invalid_transition_caused_by_clones_with_more_than_10_instances.patch
Patch88:        bz1064519-pcmk-remove_q_0_from_default_dlm_controld_arguments.patch
Patch89:        bz1078078-pcmk-crmd_correctly_react_to_successful_unfencing_operations.patch
Patch90:        bz1078078-pcmk-pe_indicate_the_type_of_fencing_in_the_fencing_operation_key.patch
Patch91:        bz1078078-pcmk-pe_potential_memory_leak.patch
Patch92:        bz1078078-pcmk-pe_fix_comments_and_formatting_for_pe_ordering_enum.patch
Patch93:        bz1078078-pcmk-pe_ensure_actions_like_shutdown_and_fence_have_a_unique_key.patch
Patch94:        bz1078078-pcmk-pe_include_stonith_operation_in_dot_graph_regression_test_results.patch
Patch95:        bz1078078-pcmk-pe_include_stonith_operation_in_the_summary_results_and_handle_unfencing.patch
Patch96:        bz1078078-pcmk-pe_store_non_resource_actions_in_a_hashtable_where_we_can_easily_and_cheaply_find_them_again.patch
Patch97:        bz1078078-pcmk-pe_automatically_re_unfence_a_node_if_the_fencing_device_definition_changes.patch
Patch98:        bz1078078-pcmk-pe_fencing_devices_default_to_only_requiring_quorum_in_order_to_start.patch
Patch99:        bz1078078-pcmk-pe_delay_unfencing_until_after_we_know_the_state_of_all_resources_that_require_unfencing.patch
Patch100:       bz1078078-pcmk-lrmd_provide_stderr_output_from_agents_if_available_otherwise_fall_back_to_stdout.patch
Patch101:       bz1078078-pcmk-crmd_report_unsuccessful_unfencing_operations.patch
Patch102:       bz1078078-pcmk-fencing_automatically_switch_from_list_to_status_to_static_list_if_those_actions_are_not_advertised_in_the_metadata.patch
Patch103:       bz1078078-pcmk-filter_self_fencing_at_the_peers_to_allow_unfencing_to_work_correctly.patch
Patch104:       bz1078078-pcmk-pe_ensure_unfencing_occurs_before_fencing_devices_are_re_probed.patch
Patch105:       bz1078078-pcmk-logging_daemons_always_get_a_log_file_unless_explicitly_set_to_configured_none.patch
Patch106:       bz1078078-pcmk-logging_simplify_processing_of_logging_directives.patch
Patch107:       bz1078078-pcmk-lrmd_expose_logging_variables_expected_by_ocf_agents.patch
Patch108:       bz1078078-pcmk-fencing_correctly_record_which_peer_performed_the_fencing_operation.patch
Patch109:       bz1078078-pcmk-crmd_do_not_erase_the_status_section_for_unfenced_nodes.patch
Patch110:       bz1078078-pcmk-crmd_device_isn_t_hooked_up_yet_don_t_bother_logging_it.patch
Patch111:       bz1078078-pcmk-pe_ensure_unfencing_only_happens_once_even_if_the_transition_is_interrupted.patch
Patch112:       bz1078078-pcmk-pe_do_not_unfence_nodes_that_are_offline_unclean_or_shutting_down.patch
Patch113:        bz1078078-pcmk-warn_about_fencing_when_fencing_is_disabled.patch
Patch114:        bz1078078-pcmk-crmd_do_not_overwrite_existing_node_state_when_fencing_completes.patch
Patch115:        bz1078078-pcmk-unfencing_is_based_on_device_probes_there_is_no_need_to_unfence_when_normal_resources_are_found_active.patch
Patch116:        bz1078078-pcmk-pe_repair_regression_tests.patch
Patch117:        bz1078078-pcmk-crm_resource_wait_for_the_correct_number_of_replies_when_cleaning_up_resources.patch
Patch118:        bz1078078-pcmk-crm_report_suppress_logging_errors_after_the_target_directory_has_been_compressed.patch
Patch119:        bz1078078-pcmk-fence_using_all_required_devices.patch
Patch120:        bz1078078-pcmk-execute_all_required_fencing_devices_regardless_of_what_topology_level_they_are_at.patch
Patch121:        bz1078078-pcmk-default_to_off_when_agent_does_not_advertise_reboot_in_metadata.patch
Patch122:        bz1115024-pcmk-handle_systemd_reporting_done_before_a_resource_is_actually_stopped.patch
Patch123:        bz1139701-pcmk-unref_reply_to_prevent_systemd_action_timeouts.patch

BuildRoot:     %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
AutoReqProv:   on
Requires:      python >= 2.4
Requires:      resource-agents
Requires:      %{name}-libs = %{version}-%{release}
Requires:      %{name}-cluster-libs = %{version}-%{release}
Requires:      %{name}-cli = %{version}-%{release}
Obsoletes:     rgmanager < 3.2.0
Provides:      rgmanager >= 3.2.0

%if %{defined systemd_requires}
%systemd_requires
%endif

%if 0%{?rhel} > 0
ExclusiveArch: i686 x86_64
%endif

# Required for core functionality
BuildRequires: automake autoconf libtool pkgconfig python libtool-ltdl-devel
BuildRequires: glib2-devel libxml2-devel libxslt-devel libuuid-devel
BuildRequires: pkgconfig python-devel gcc-c++ bzip2-devel pam-devel

# Required for agent_config.h which specifies the correct scratch directory
BuildRequires: resource-agents

# We need reasonably recent versions of libqb
BuildRequires: libqb-devel > 0.11.0
Requires:      libqb > 0.11.0

# Enables optional functionality
BuildRequires: ncurses-devel openssl-devel libselinux-devel docbook-style-xsl
BuildRequires: bison byacc flex help2man gnutls-devel dbus-devel

%if %{defined _unitdir}
BuildRequires: systemd-devel
%endif

%if %{with cman}

%if 0%{?fedora} > 0
%if 0%{?fedora} < 17
BuildRequires: clusterlib-devel
%endif
%endif

%if 0%{?rhel} > 0
%if 0%{?rhel} < 7
BuildRequires: clusterlib-devel
%endif
%endif

%endif

Requires:      corosync
BuildRequires: corosynclib-devel

%if %{with stonithd}
BuildRequires: cluster-glue-libs-devel
%endif

%if !%{rawhide}
# More often than not, inkscape is busted on rawhide, don't even bother

%if %{with doc}
%ifarch %{ix86} x86_64
BuildRequires: publican inkscape asciidoc
%endif
%endif

%endif

%description
Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Corosync, CMAN and/or Linux-HA.

It supports more than 16 node clusters with significant capabilities
for managing resources and dependencies.

It will run scripts at initialization, when machines go up or down,
when related resources fail and can be configured to periodically check
resource health.

Available rpmbuild rebuild options:
  --with(out) : cman stonithd doc coverage profiling pre_release upstart_job

%package cli
License:      GPLv2+ and LGPLv2+
Summary:      Command line tools for controlling Pacemaker clusters
Group:        System Environment/Daemons
Requires:     %{name}-libs = %{version}-%{release}
Requires:     perl-TimeDate

%description cli
Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Corosync, CMAN and/or Linux-HA.

The %{name}-cli package contains command line tools that can be used
to query and control the cluster from machines that may, or may not,
be part of the cluster.

%package -n %{name}-libs
License:      GPLv2+ and LGPLv2+
Summary:      Core Pacemaker libraries
Group:        System Environment/Daemons

%description -n %{name}-libs
Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Corosync, CMAN and/or Linux-HA.

The %{name}-libs package contains shared libraries needed for cluster
nodes and those just running the CLI tools.

%package -n %{name}-cluster-libs
License:      GPLv2+ and LGPLv2+
Summary:      Cluster Libraries used by Pacemaker
Group:        System Environment/Daemons
Requires:     %{name}-libs = %{version}-%{release}

%description -n %{name}-cluster-libs
Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Corosync, CMAN and/or Linux-HA.

The %{name}-cluster-libs package contains cluster-aware shared
libraries needed for nodes that will form part of the cluster nodes.

%package remote
License:      GPLv2+ and LGPLv2+
Summary:      Pacemaker remote daemon for non-cluster nodes
Group:        System Environment/Daemons
Requires:     %{name}-libs = %{version}-%{release}
Requires:      %{name}-cli = %{version}-%{release}
Requires:      resource-agents
%if %{defined systemd_requires}
%systemd_requires
%endif

%description remote
Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Corosync, CMAN and/or Linux-HA.

The %{name}-remote package contains the Pacemaker Remote daemon
which is capable of extending pacemaker functionality to remote
nodes not running the full corosync/cluster stack.

%package -n %{name}-libs-devel
License:      GPLv2+ and LGPLv2+
Summary:      Pacemaker development package
Group:        Development/Libraries
Requires:     %{name}-cts = %{version}-%{release}
Requires:     %{name}-libs = %{version}-%{release}
Requires:     %{name}-cluster-libs = %{version}-%{release}
Requires:     libtool-ltdl-devel libqb-devel libuuid-devel
Requires:     libxml2-devel libxslt-devel bzip2-devel glib2-devel
Requires:     corosynclib-devel

%description -n %{name}-libs-devel
Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Corosync, CMAN and/or Linux-HA.

The %{name}-libs-devel package contains headers and shared libraries
for developing tools for Pacemaker.

%package      cts
License:      GPLv2+ and LGPLv2+
Summary:      Test framework for cluster-related technologies like Pacemaker
Group:        System Environment/Daemons
Requires:     python
Requires:     %{name}-libs = %{version}-%{release}

%description  cts
Test framework for cluster-related technologies like Pacemaker

%package      doc
License:      GPLv2+ and LGPLv2+
Summary:      Documentation for Pacemaker
Group:        Documentation

%description  doc
Documentation for Pacemaker.

Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Corosync, CMAN and/or Linux-HA.


%prep
%autosetup -n %{upstream_prefix}-%{upstream_version} -p1

# Add '-S git' to have RPM generate a git repo out of the patches

# Force the local time
#
# Git sets the file date to the date of the last commit.
# This can result in files having been created in the future
# when building on machines in timezones 'behind' the one the
# commit occurred in - which seriously confuses 'make'
find . -exec touch \{\} \;

%build
./autogen.sh

# For some reason, 'Apache Configuration' is no longer accepted by publican/Kate.pm on RHEL7
sed -i 's/Apache Configuration/Bash/'  doc/Clusters_from_Scratch/en-US/Ch-Apache.txt

# RHEL <= 5 does not support --docdir
docdir=%{pcmk_docdir} %{configure}                 \
        %{?with_profiling:   --with-profiling}     \
        %{?with_coverage:    --with-coverage}      \
        %{!?with_cman:       --without-cman}       \
        --with-initdir=%{_initrddir}               \
        --localstatedir=%{_var}                    \
        --with-version=%{version}-%{release}

%if 0%{?suse_version} >= 1200
# Fedora handles rpath removal automagically
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%endif

make %{_smp_mflags} V=1 docdir=%{pcmk_docdir} all

%check
./BasicSanity.sh -V pengine cli

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} docdir=%{pcmk_docdir} V=1 install

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
mkdir -p ${RPM_BUILD_ROOT}%{_var}/lib/pacemaker/cores
install -m 644 mcp/pacemaker.sysconfig ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/pacemaker

%if %{with upstart_job}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/init
install -m 644 mcp/pacemaker.upstart ${RPM_BUILD_ROOT}%{_sysconfdir}/init/pacemaker.conf
install -m 644 mcp/pacemaker.combined.upstart ${RPM_BUILD_ROOT}%{_sysconfdir}/init/pacemaker.combined.conf
%endif

# Scripts that should be executable
chmod a+x %{buildroot}/%{_datadir}/pacemaker/tests/cts/CTSlab.py

# These are not actually scripts
find %{buildroot} -name '*.xml' -type f -print0 | xargs -0 chmod a-x
find %{buildroot} -name '*.xsl' -type f -print0 | xargs -0 chmod a-x
find %{buildroot} -name '*.rng' -type f -print0 | xargs -0 chmod a-x
find %{buildroot} -name '*.dtd' -type f -print0 | xargs -0 chmod a-x

# Dont package static libs
find %{buildroot} -name '*.a' -type f -print0 | xargs -0 rm -f
find %{buildroot} -name '*.la' -type f -print0 | xargs -0 rm -f

# Do not package these either
rm -f %{buildroot}/%{_libdir}/service_crm.so
rm -f %{buildroot}/%{_sbindir}/fence_legacy
rm -f %{buildroot}/%{_mandir}/man8/fence_legacy.*
find %{buildroot} -name 'o2cb*' -type f -print0 | xargs -0 rm -f

# Don't ship init scripts for systemd based platforms
%if %{defined _unitdir}
rm -f %{buildroot}/%{_initrddir}/pacemaker
rm -f %{buildroot}/%{_initrddir}/pacemaker_remote
%endif

%if %{with coverage}
GCOV_BASE=%{buildroot}/%{_var}/lib/pacemaker/gcov
mkdir -p $GCOV_BASE
find . -name '*.gcno' -type f | while read F ; do
        D=`dirname $F`
        mkdir -p ${GCOV_BASE}/$D
        cp $F ${GCOV_BASE}/$D
done
%endif

%clean
rm -rf %{buildroot}

%post
%systemd_post pacemaker.service

%preun
%systemd_preun pacemaker.service

%postun
%systemd_postun_with_restart pacemaker.service 

%post remote
%systemd_post pacemaker_remote.service

%preun remote
%systemd_preun pacemaker_remote.service

%postun remote
%systemd_postun_with_restart pacemaker_remote.service 

%pre -n %{name}-libs

getent group %{gname} >/dev/null || groupadd -r %{gname} -g 189
getent passwd %{uname} >/dev/null || useradd -r -g %{gname} -u 189 -s /sbin/nologin -c "cluster user" %{uname}
exit 0

%post -n %{name}-libs -p /sbin/ldconfig

%postun -n %{name}-libs -p /sbin/ldconfig

%post -n %{name}-cluster-libs -p /sbin/ldconfig

%postun -n %{name}-cluster-libs -p /sbin/ldconfig

%files
###########################################################
%defattr(-,root,root)

%exclude %{_datadir}/pacemaker/tests

%config(noreplace) %{_sysconfdir}/sysconfig/pacemaker
%{_sbindir}/pacemakerd

%if %{defined _unitdir}
%{_unitdir}/pacemaker.service
%else
%{_initrddir}/pacemaker
%endif

%{_datadir}/pacemaker
%{_datadir}/snmp/mibs/PCMK-MIB.txt
%exclude %{_libexecdir}/pacemaker/lrmd_test
%exclude %{_sbindir}/pacemaker_remoted
%{_libexecdir}/pacemaker/*

%{_sbindir}/crm_attribute
%{_sbindir}/crm_master
%{_sbindir}/crm_node
%{_sbindir}/attrd_updater
%{_sbindir}/fence_pcmk
%{_sbindir}/stonith_admin

%if %{with cman}
%{_bindir}/ccs2cib
%{_bindir}/ccs_flatten
%{_bindir}/disable_rgmanager
%endif

%doc %{_mandir}/man7/*
%doc %{_mandir}/man8/attrd_updater.*
%doc %{_mandir}/man8/crm_attribute.*
%doc %{_mandir}/man8/crm_node.*
%doc %{_mandir}/man8/crm_master.*
%doc %{_mandir}/man8/fence_pcmk.*
%doc %{_mandir}/man8/pacemakerd.*
%doc %{_mandir}/man8/stonith_admin.*

%doc COPYING
%doc AUTHORS
%doc ChangeLog

%dir %attr (750, %{uname}, %{gname}) %{_var}/lib/pacemaker
%dir %attr (750, %{uname}, %{gname}) %{_var}/lib/pacemaker/cib
%dir %attr (750, %{uname}, %{gname}) %{_var}/lib/pacemaker/cores
%dir %attr (750, %{uname}, %{gname}) %{_var}/lib/pacemaker/pengine
%dir %attr (750, %{uname}, %{gname}) %{_var}/lib/pacemaker/blackbox
%ghost %dir %attr (750, %{uname}, %{gname}) %{_var}/run/crm
%dir /usr/lib/ocf
%dir /usr/lib/ocf/resource.d
/usr/lib/ocf/resource.d/pacemaker

%if 0%{?cs_version} < 2
%{_libexecdir}/lcrso/pacemaker.lcrso
%endif

%if %{with upstart_job}
%config(noreplace) %{_sysconfdir}/init/pacemaker.conf
%config(noreplace) %{_sysconfdir}/init/pacemaker.combined.conf
%endif

%files cli
%defattr(-,root,root)
%{_sbindir}/cibadmin
%{_sbindir}/crm_diff
%{_sbindir}/crm_error
%{_sbindir}/crm_failcount
%{_sbindir}/crm_mon
%{_sbindir}/crm_resource
%{_sbindir}/crm_standby
%{_sbindir}/crm_verify
%{_sbindir}/crmadmin
%{_sbindir}/iso8601
%{_sbindir}/crm_shadow
%{_sbindir}/crm_simulate
%{_sbindir}/crm_report
%{_sbindir}/crm_ticket
%doc %{_mandir}/man8/*
%exclude %{_mandir}/man8/attrd_updater.*
%exclude %{_mandir}/man8/crm_attribute.*
%exclude %{_mandir}/man8/crm_node.*
%exclude %{_mandir}/man8/crm_master.*
%exclude %{_mandir}/man8/fence_pcmk.*
%exclude %{_mandir}/man8/fence_legacy.*
%exclude %{_mandir}/man8/pacemakerd.*
%exclude %{_mandir}/man8/pacemaker_remoted.*
%exclude %{_mandir}/man8/stonith_admin.*

%doc COPYING
%doc AUTHORS
%doc ChangeLog

%files -n %{name}-libs
%defattr(-,root,root)

%{_libdir}/libcib.so.*
%{_libdir}/liblrmd.so.*
%{_libdir}/libcrmservice.so.*
%{_libdir}/libcrmcommon.so.*
%{_libdir}/libpe_status.so.*
%{_libdir}/libpe_rules.so.*
%{_libdir}/libpengine.so.*
%{_libdir}/libstonithd.so.*
%{_libdir}/libtransitioner.so.*
%doc COPYING.LIB
%doc AUTHORS

%files -n %{name}-cluster-libs
%defattr(-,root,root)
%{_libdir}/libcrmcluster.so.*
%doc COPYING.LIB
%doc AUTHORS

%files remote
%defattr(-,root,root)

%config(noreplace) %{_sysconfdir}/sysconfig/pacemaker
%if %{defined _unitdir}
%{_unitdir}/pacemaker_remote.service
%else
%{_initrddir}/pacemaker_remote
%endif

%{_sbindir}/pacemaker_remoted
%{_mandir}/man8/pacemaker_remoted.*
%doc COPYING.LIB
%doc AUTHORS

%files doc
%defattr(-,root,root)
%doc %{pcmk_docdir}

%files cts
%defattr(-,root,root)
%{py_site}/cts
%{_datadir}/pacemaker/tests/cts
%{_libexecdir}/pacemaker/lrmd_test
%doc COPYING.LIB
%doc AUTHORS

%files -n %{name}-libs-devel
%defattr(-,root,root)
%exclude %{_datadir}/pacemaker/tests/cts
%{_datadir}/pacemaker/tests
%{_includedir}/pacemaker
%{_libdir}/*.so
%if %{with coverage}
%{_var}/lib/pacemaker
%endif
%{_libdir}/pkgconfig/*.pc
%doc COPYING.LIB
%doc AUTHORS

%changelog
* Mon Sep 22 2014 Andrew Beekhof <beekhof@redhat.com> - 1.1.10-32.el7_0.1

- Fix: Bug rhbz#1139701 - Unref dbus reply to prevent systemd action timeouts
    Resolves: rhbz#1145740

* Fri Jul 04 2014 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-32

- Fix: lrmd: Handle systemd reporting 'done' before a resource is actually stopped
    Resolves: rhbz#1115024

* Thu Apr 17 2014 David Vossel <dvossel@redhat.com> - 1.1.10-31

- fencing: Fence using all required devices
- fencing: Execute all required fencing devices regardless of what topology level they are at
- fencing: default to 'off' when agent does not advertise 'reboot' in metadata
    Resolves: rhbz#1078078

* Mon Apr 14 2014 Andrew Beekhof <abeekhof@redhat.com> 1.1.10-30

- crmd: Do not erase the status section for unfenced nodes
- crmd: Correctly react to successful unfencing operations
- crmd: Report unsuccessful unfencing operations
- crmd: Do not overwrite existing node state when fencing completes
- fencing: Correctly record which peer performed the fencing operation
- fencing: Automatically switch from 'list' to 'status' to 'static-list' if those actions are not advertised in the metadata
- fencing: Filter self-fencing at the peers to allow unfencing to work correctly
- pengine: Automatically re-unfence a node if the fencing device definition changes
- pengine: Fencing devices default to only requiring quorum in order to start
- pengine: Delay unfencing until after we know the state of all resources that require unfencing
- pengine: Ensure unfencing occurs before fencing devices are (re-)probed
- pengine: Ensure unfencing only happens once, even if the transition is interrupted
- pengine: Do not unfence nodes that are offline, unclean or shutting down
- pengine: Unfencing is based on device probes, there is no need to unfence when normal resources are found active
- logging: daemons always get a log file, unless explicitly set to configured 'none'
- lrmd: Expose logging variables expected by OCF agents
- crm_report: Suppress logging errors after the target directory has been compressed
- crm_resource: Wait for the correct number of replies when cleaning up resources
    Resolves: rhbz#1078078

* Tue Mar 25 2014 David Vossel <dvossel@redhat.com> - 1.1.10-29

- Low: controld: Remove '-q 0' from default dlm_controld arguments
    Resolves: rhbz#1064519

* Tue Mar 25 2014 David Vossel <dvossel@redhat.com> - 1.1.10-28

- pengine: fixes invalid transition caused by clones with more than 10 instances
    Resolves: rhbz#1078504

* Fri Feb 28 2014 Andrew Beekhof <beekhof@redhat.com> - 1.1.10-27

- crm_resource: Prevent use-of-NULL
- systemd: Prevent use-of-NULL when determining if an agent exists
- Fencing: Remove shadow definition and use of variable 'progress'
    Resolves: rhbz#1070916

* Thu Feb 27 2014 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-26

- Run automated regression tests after every build
- Fencing: Send details of stonith_api_time() and stonith_api_kick() to syslog
- Fencing: Pass the correct options when looking up the history by node name
- Fencing: stonith_api_time_helper now returns when the most recent fencing operation completed
- crm_report: Additional dlm detail if dlm_controld is running
- crmd: Gracefully handle actions that cannot be initiated
- pengine: Gracefully handle bad values for XML_ATTR_TRANSITION_MAGIC
    Resolves: rhbz#1070916

* Tue Feb 25 2014 David Vossel <dvossel@redhat.com> - 1.1.10-25

- pengine: cl#5187 - Prevent resources in an anti-colocation from even temporarily running on a same node
    Resolves: rhbz#1069284

* Thu Feb 20 2014 David Vossel <dvossel@redhat.com> - 1.1.10-24

- controld: handling startup fencing within the controld agent, not the dlm
    Resolves: rhbz#1064519
- controld: Do not consider the dlm up until the address list is present
    Resolves: rhbz#1067536

* Wed Feb 12 2014 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-23

- mcp: Tell systemd not to respawn us if we return 100
- services: Detect missing agents and permission errors before forking
- Use native DBus library for systemd support to avoid problematic use of threads
    Resolves: rhbz#720543 (aka. 1057697)

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 1.1.10-22
- Mass rebuild 2013-12-27

* Wed Dec 04 2013 David Vossel <dvossel@redhat.com> - 1.1.10-21

- Fix: Removes unnecessary newlines in crm_resource -O output
    Resolves: rhbz#720543

* Thu Nov 14 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-20

- Fix: tools: Fixes formatting of remote-nodes in crm_mon and crm_simulate
- Fix: Corosync: Attempt to retrieve a peers node name if it is not already known
    Resolves: rhbz#720543

* Thu Nov 14 2013 David Vossel <dvossel@redhat.com> - 1.1.10-19
- Fix: controld: Use the correct variant of dlm_controld for
  corosync-2 clusters

    Resolves: rhbz#1028627

* Thu Nov 07 2013 David Vossel <dvossel@redhat.com> - 1.1.10-18

- High: remote: Add support for ipv6 into pacemaker_remote daemon
    Resolves: rhbz#720543

* Wed Nov 06 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-17

    Resolves: rhbz#720543

- Fix: core: Do not enabled blackbox for cli tools
- Fix: Command-line tools should stop after an assertion failure
- Fix: crmd: Dont add node_state to cib, if we have not seen or fenced this node yet
- Fix: crmd: Correctly update expected state when the previous DC shuts down
- Fix: crmd: Cache rsc_info retrieved from lrmd and pacemaker_remoted
- Fix: crmd: Pad internal lrmd rsc_info and metadata retrieval timeout
- Fix: crm_attribute: Detect orphaned remote-nodes when setting attributes
- Fix: crm_mon: Prevent use-of-NULL when ping resources do not define a host list
- Fix: crm_report: Record the output of the collector
- Fix: crm_report: Do not print garbage when collecting from the local node
- Fix: crm_resource: Wait for all replies when cleaning up resources
- Fix: fencing: Do not broadcast suicide if the on action is being executed
- Fix: fencing: Allow fencing for node after topology entries are deleted
- Fix: fencing: Deep copy current topology level list on remote op
- Fix: lrmd: Correctly cancel monitor actions for lsb/systemd/service resources on cleaning up
- Fix: pengine: Dont prevent clones from running due to dependant resources
- Fix: pengine: Probe containers not expected to be up
- Fix: ipc: Raise the default buffer size to 128k
- Fix: ipc: Use the higher of the configured buffer size or the default
- Fix: iso8601: Prevent dates from jumping backwards a day in some timezones
- Fix: remote: Properly version the remote connection protocol
- Fix: remote: Handle endian changes between client and server and improve forward compatibility
    Resolves: rhbz#720543

* Mon Oct 07 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-16

- Remove unsupported resource agent
- Log: crmd: Supply arguments in the correct order
- Fix: crm_report: Correctly redirect error message to /dev/null
- Fix: Bug rhbz#1011618 - Consistently use 'Slave' as the role for unpromoted master/slave resources
- Fix: pengine: Location constraints with role=Started should prevent masters from running at all
- Fix: crm_resource: Observe --master modifier for --move
- Provide a meaningful error if --master is used for primitives and groups
- Fix: Fencing: Observe pcmk_host_list during automatic unfencing
    Resolves: rhbz#996576

* Fri Sep 27 2013 David Vossel  <dvossel@redhat.com> - 1.1.10-15
  + Fix: crmd: Allow transient attributes to be set on remote-nodes.
  + Fix: pengine: Handle orphaned remote-nodes properly
  + Low: cts: Add RemoteLXC regression test.

  Resolves: rhbz#1006465
  Resolves: rhbz#1006471

* Fri Aug 23 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-14
  + Fix: xml: Location constraints are allowed to specify a role
  + Bug rhbz#902407 - crm_resource: Handle --ban for master/slave resources as advertised
    Resolves: rhbz#902407

* Wed Aug 14 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-13
  + Fencing: Support agents that need the host to be unfenced at startup
    Resolves: rhbz#996576
  + crm_report: Collect corosync quorum data
    Resolves: rhbz#839342

* Thu Aug 08 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-12
- Regenerate patches to have meaningful names

* Thu Aug 08 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-11
  + Fix: systemd: Prevent glib assertion - only call g_error_free() with non-NULL arguments
  + Fix: systemd: Prevent additional assertions in g_error_free
  + Fix: logging: glib CRIT messages should not produce core files by default
  + Doc: controld: Update the description
  + Fix: pengine: Correctly account for the location preferences of things colocated with a group
  + Fix: cib: Correctly log short-form xml diffs
  + Fix: crmd: Correcty update the history cache when recurring ops change their return code
  + Log: pengine: Better indicate when a resource has failed
  + Log: crm_mon: Unmunge the output for failed operations

* Fri Aug 02 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-10
  + Fix: pengine: Do not re-allocate clone instances that are blocked in the Stopped state
  + Fix: pengine: Do not allow colocation with blocked clone instances

* Thu Aug 01 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-9
  + Fix: crmd: Prevent crash by passing log arguments in the correct order

* Thu Aug 01 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-8
  + Fix: pengine: Do not restart resources that depend on unmanaged resources

* Thu Aug 01 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-7
  + Fix: crmd: Prevent recurring monitors being cancelled due to notify operations

* Fri Jul 26 2013 Andrew Beekhof <andrew@beekhof.net> Pacemaker-1.1.10-6
- Update source tarball to revision: 368c726
- Changesets: 18
- Diff:       9 files changed, 245 insertions(+), 170 deletions(-)

- Features added since Pacemaker-1.1.10-rc7
  + crm_resource: Allow options to be set recursively

- Changes since Pacemaker-1.1.10-rc7
  + Bug cl#5161 - crmd: Prevent memory leak in operation cache
  + cib: Correctly read back archived configurations if the primary is corrupted

* Mon Jul 22 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-5
- Streamline spec file

- Upstream patch for:
  + cman: Only build migration tools for targets that may use them
  + cib: Ensure we set up hacluster's groups in stand-alone mode

- Update for new upstream tarball: Pacemaker-1.1.10-rc7

  + Bug cl#5157 - Allow migration in the absence of some colocation constraints
  + Bug cl#5168 - Prevent clones from being bounced around the cluster due to location constraints
  + Bug cl#5170 - Correctly support on-fail=block for clones
  + crmd: CID#1036761 Dereference null return value
  + crmd: cl#5164 - Fixes crmd crash when using pacemaker-remote
  + crmd: Ensure operations for cleaned up resources don't block recovery
  + crmd: Prevent messages for remote crmd clients from being relayed to wrong daemons
  + crmd: Properly handle recurring monitor operations for remote-node agent
  + fencing: Correctly detect existing device entries when registering a new one
  + logging: If SIGTRAP is sent before tracing is turned on, turn it on
  + lrmd: Prevent use-of-NULL in client library
  + pengine: cl#5128 - Support maintenance mode for a single node
  + pengine: cl#5164 - Pengine segfault when calculating transition with remote-nodes.
  + pengine: Do the right thing when admins specify the internal resource instead of the clone
  + systemd: Turn off auto-respawning of systemd services when the cluster starts them

* Wed Jul 10 2013 David Vossel <dvossel@redhat.com> - 1.1.10-4
- Fixes crmd crash when using pacemaker_remote.

* Mon Jun 17 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-3
- Update to upstream 838e41e

  + Feature: pengine: Allow active nodes in our current membership to be fenced without quorum
  + Fix: attrd: Fixes deleted attributes during dc election
  + Fix: corosync: Fall back to uname for local nodes
  + Fix: crm_report: Find logs in compressed files
  + Fix: pengine: If fencing is unavailable or disabled, block further recovery for resources that fail to stop
  + Fix: systemd: Ensure we get shut down correctly by systemd

* Sun Jun 09 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-2
- Update for new upstream tarball: Pacemaker-1.1.10-rc4

- Features in Pacemaker-1.1.10-rc4:
  + PE: Display a list of nodes on which stopped anonymous clones are not active instead of meaningless clone IDs
  + crm_error: Add the ability to list and print error symbols
  + crm_resource: Implement --ban for moving resources away from nodes and --clear (replaces --unmove)
  + crm_resource: Support OCF tracing when using --force-(check|start|stop)

- Changes since Pacemaker-1.1.10-rc1

  + Bug cl#5133 - pengine: Correctly observe on-fail=block for failed demote operation
  + Bug cl#5152 - Correctly clean up fenced nodes during membership changes
  + Bug cl#5153 - Correctly display clone failcounts in crm_mon
  + Bug cl#5154 - Do not expire failures when on-fail=block is present
  + Bug pengine: cl#5155 - Block the stop of resources if any depending resource is unmanaged
  + crm_report: Correctly collect logs when 'uname -n' reports fully qualified names
  + Check for and replace non-printing characters with their octal equivalent while exporting xml text
  + Convert all exit codes to positive errno values
  + Core: Ensure the blackbox is saved on abnormal program termination
  + corosync: Detect the loss of members for which we only know the nodeid
  + corosync: Nodes that can persist in sending CPG messages must be alive afterall
  + crmd: Do not get stuck in S_POLICY_ENGINE if a node we couldn't fence returns
  + crmd: Ensure all membership operations can complete while trying to cancel a transition
  + crmd: Everyone who gets a fencing notification should mark the node as down
  + crmd: Initiate node shutdown if another node claims to have successfully fenced us
  + crm_resource: Gracefully fail when --force-* is attempted for stonith resources
  + fencing: Restore the ability to manually confirm that fencing completed
  + pengine: Correctly handle resources that recover before we operate on them
  + pengine: Ensure per-node resource parameters are used during probes
  + pengine: Implement the rest of get_timet_now() and rename to get_effective_time
  + pengine: Mark unrunnable stop actions as "blocked"
  + pengine: Re-initiate active recurring monitors that previously failed but have timed out
  + xml: Restore the ability to embed comments in the cib

* Wed Apr 17 2013 Andrew Beekhof <abeekhof@redhat.com> - 1.1.10-1
- Update for new upstream tarball: Pacemaker-1.1.10-rc1
- Features added since Pacemaker-1.1.8
  + Performance enhancements for supporting 16 node clusters
  + corosync: Use queues to avoid blocking when sending CPG messages
  + ipc: Compress messages that exceed the configured IPC message limit
  + ipc: Use queues to prevent slow clients from blocking the server
  + ipc: Use shared memory by default
  + lrmd: Support nagios remote monitoring
  + lrmd: Pacemaker Remote Daemon for extending pacemaker functionality outside corosync cluster.
  + pengine: Check for master/slave resources that are not OCF agents
  + pengine: Support a 'requires' resource meta-attribute for controlling whether it needs quorum, fencing or nothing
  + pengine: Support for resource containers
  + pengine: Support resources that require unfencing before start

- Changes since Pacemaker-1.1.8
  + attrd: Correctly handle deletion of non-existant attributes
  + Bug cl#5135 - Improved detection of the active cluster type
  + Bug rhbz#913093 - Use crm_node instead of uname
  + cib: Prevent ordering changes when applying xml diffs
  + cib: Remove text nodes from cib replace operations
  + crmd: Prevent election storms caused by getrusage() values being too close
  + date/time: Bug cl#5118 - Correctly convert seconds-since-epoch to the current time
  + fencing: Attempt to provide more information that just 'generic error' for failed actions
  + fencing: Correctly record completed but previously unknown fencing operations
  + fencing: Correctly terminate when all device options have been exhausted
  + fencing: cov#739453 - String not null terminated
  + fencing: Do not merge new fencing requests with stale ones from dead nodes
  + fencing: Do not start fencing until entire device topology is found or query results timeout.
  + fencing: Do not wait for the query timeout if all replies have arrived
  + fencing: Fix passing of parameters from CMAN containing '='
  + fencing: Fix non-comparison when sorting devices by priority
  + fencing: On failure, only try a topology device once from the remote level.
  + fencing: Only try peers for non-topology based operations once
  + fencing: Retry stonith device for duration of action's timeout period.
  + ipc: Bug cl#5110 - Prevent 100% CPU usage when looking for synchronous replies
  + mcp: Re-attach to existing pacemaker components when mcp fails
  + pengine: Any location constraint for the slave role applies to all roles
  + pengine: Bug cl#5101 - Ensure stop order is preserved for partially active groups
  + pengine: Bug cl#5140 - Allow set members to be stopped when the subseqent set has require-all=false
  + pengine: Bug cl#5143 - Prevent shuffling of anonymous master/slave instances
  + pengine: Bug rhbz#880249 - Ensure orphan masters are demoted before being stopped
  + pengine: Bug rhbz#880249 - Teach the PE how to recover masters into primitives
  + pengine: cl#5025 - Automatically clear failcount for start/monitor failures after resource parameters change
  + pengine: cl#5099 - Probe operation uses the timeout value from the minimum interval monitor by default (#bnc776386)
  + pengine: cl#5111 - When clone/master child rsc has on-fail=stop, insure all children stop on failure.
  + pengine: cl#5142 - Do not delete orphaned children of an anonymous clone
  + pengine: Correctly unpack active anonymous clones
  + pengine: Ensure previous migrations are closed out before attempting another one
  + pengine: rhbz#902459 - Remove rsc node status for orphan resources
  + Replace the use of the insecure mktemp(3) with mkstemp(3)

* Thu Apr 04 2013 David Vossel <dvossel@redhat.com> - 1.1.8-6
  Fixes depreciated use of gnutls 3.1

* Thu Apr 04 2013 David Vossel <dvossel@redhat.com> - 1.1.8-5
  Rebuilt for gnutls 3.1

* Thu Oct 25 2012 Andrew Beekhof <abeekhof@redhat.com> - 1.1.8-4
- Update for new upstream tarball: 5db5f53

  + High: mcp: Re-attach to existing pacemaker components when pacemakerd fails
  + High: pengine: cl#5111 - When clone/master child rsc has on-fail=stop, insure all children stop on failure.
  + High: Replace the use of the insecure mktemp(3) with mkstemp(3)
  + High: Core: Correctly process XML diff's involving element removal
  + High: PE: Correctly unpack active anonymous clones
  + High: PE: Fix clone_zero() and clone_strip() for single character resource names
  + High: IPC: Bug cl#5110 - Prevent 100% CPU usage when looking for synchronous replies
  + High: PE: Bug cl#5101 - Ensure stop order is preserved for partially active groups
  + High: fencing: On failure, only try a topology device once from the remote level.
  + High: fencing: Retry stonith device for duration of action's timeout period.
  + High: PE: Fix memory leak on processing message (bnc#780224)
  + High: fencing: Support 'on_target' option in fencing device metadata for forcing unfence on target node
  + High: PE: Support resources that require unfencing before start
  + High: PE: Support a 'requires' resource meta-attribute for controlling whether it needs quorum, fencing or nothing
  + High: mcp: Only define HA_DEBUGLOG to avoid agent calls to ocf_log printing everything twice
  + High: fencing: Do not start fencing until entire device topology is found or query results timeout.
  + High: Cluster: Allow cman and corosync 2.0 nodes to use a name other than uname()

* Fri Sep 21 2012 Andrew Beekhof <andrew@beekhof.net> 1.1.8-3
- Only build for i386 and x86_64 as directed

* Fri Sep 21 2012 Andrew Beekhof <andrew@beekhof.net> 1.1.8-1
- Rebuild for upstream 1.1.8 release
- Documentation disabled pending a functional publican/ImageMagick combination

- Statistics:
  Changesets: 1019
  Diff:       2107 files changed, 117258 insertions(+), 73606 deletions(-)

- See included ChangeLog file or https://raw.github.com/ClusterLabs/pacemaker/master/ChangeLog for full details

  + New IPC implementation from libqb
  + New logging implementation from libqb
  + Quieter - info, debug and trace logs are no longer sent to syslog
  + Dropped dependancy on cluster-glue
  + Config and core directories no longer located in heartbeat directories
  + Support for managing systemd services
  + Rewritten local resource management daemon
  + Version bumps for every shared library due to API cleanups
  + Removes crm shell, install/use pcs shell and GUI instead

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 28 2012 Andrew Beekhof <andrew@beekhof.net> Pacemaker-1.1.7-2
- Reinstate the ghost directive for /var/run/crm

* Wed Mar 28 2012 Andrew Beekhof <andrew@beekhof.net> Pacemaker-1.1.7-1
- Update source tarball to upstream release: Pacemaker-1.1.7
- See included ChangeLog file or https://raw.github.com/ClusterLabs/pacemaker/master/ChangeLog for details

* Thu Feb 16 2012 Andrew Beekhof <andrew@beekhof.net> 1.1.7-0.3-7742926.git
- New upstream tarball: 7742926
- Additional Provides and Obsoletes directives to enable upgrading from heartbeat
- Rebuild now that the Corosync CFG API has been removed

* Thu Feb 02 2012 Andrew Beekhof <andrew@beekhof.net> 1.1.7-0.2-bc7c125.git
- Additional Provides and Obsoletes directives to enable upgrading from rgmanager

* Thu Feb 02 2012 Andrew Beekhof <andrew@beekhof.net> 1.1.7-0.1-bc7c125.git
- New upstream tarball: bc7c125
- Pre-release 1.1.7 build to deal with the removal of cman and support for corosync plugins
- Add libqb as a dependancy

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 26 2011 Andrew Beekhof <andrew@beekhof.net> 1.1.6-3
- New upstream tarball: 89678d4
- Move man pages to the correct subpackages

* Mon Sep 26 2011 Andrew Beekhof <andrew@beekhof.net> 1.1.6-2
- Do not build in support for heartbeat, snmp, esmtp by default
- Create a package for cluster unaware libraries to minimze our
  footprint on non-cluster nodes
- Better package descriptions

* Wed Sep 07 2011 Andrew Beekhof <andrew@beekhof.net> 1.1.6-1
- Upstream release of 1.1.6
- See included ChangeLog file or http://hg.clusterlabs.org/pacemaker/1.1/file/tip/ChangeLog for details

- Disabled eSMTP and SNMP support.  Painful to configure and rarely used.
- Created cli sub-package for non-cluster usage

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.1.5-3.2
- Perl mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.1.5-3.1
- Perl mass rebuild

* Mon Jul 11 2011 Andrew Beekhof <andrew@beekhof.net> 1.1.5-3
- Rebuild for new snmp .so

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.5-2.2
- Perl mass rebuild

* Fri Jun 10 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.5-2.1
- Perl 5.14 mass rebuild

* Wed Apr 27 2011 Andrew Beekhof <andrew@beekhof.net> 1.1.5-2
- Mark /var/run directories with ghost directive
  Resolves: rhbz#656654

* Wed Apr 27 2011 Andrew Beekhof <andrew@beekhof.net> 1.1.5-1
- New upstream release plus patches for CMAN integration

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Andrew Beekhof <andrew@beekhof.net> 1.1.4-5
- Re-enable corosync and heartbeat support with correct bcond variable
  usage

* Wed Dec  8 2010 Fabio M. Di Nitto <fdinitto@redhat.com> 1.1.4-4
- Temporary drop publican doc build

* Wed Dec  8 2010 Fabio M. Di Nitto <fdinitto@redhat.com> 1.1.4-3
- Fix publican build on x86

* Wed Dec  8 2010 Fabio M. Di Nitto <fdinitto@redhat.com> 1.1.4-2
- Drop double source entry and 22Mb from the srpm

* Mon Nov 15 2010 Andrew Beekhof <andrew@beekhof.net> 1.1.4-1
- Upstream release of 1.1.4
- See included ChangeLog file or http://hg.clusterlabs.org/pacemaker/1.1/file/tip/ChangeLog for details

* Wed Sep 29 2010 jkeating - 1.1.3-1.1
- Rebuilt for gcc bug 634757

* Tue Sep 21 2010 Andrew Beekhof <andrew@beekhof.net> - 1.1.3-1
- Upstream release of 1.1.3
  + High: crmd: Use the correct define/size for lrm resource IDs
  + High: crmd: Bug lf#2458 - Ensure stop actions always have the relevant resource attributes
  + High: crmd: Ensure we activate the DC timer if we detect an alternate DC
  + High: mcp: Correctly initialize the string containing the list of active daemons
  + High: mcp: Fix the expansion of the pid file in the init script
  + High: mcp: Tell chkconfig we need to shut down early on
  + High: PE: Bug lf#2476 - Repair on-fail=block for groups and primitive resources
  + High: PE: Do not demote resources because something that requires it can't run
  + High: PE: Rewrite the ordering constraint logic to be simplicity, clarity and maintainability
  + High: PE: Wait until stonith is available, don't fall back to shutdown for nodes requesting termination
  + High: PE: Prevent segfault by ensuring the arguments to do_calculations() are initialized
  + High: stonith: Bug lf#2461 - Prevent segfault by not looking up operations if the hashtable hasn't been initialized yet
  + High: Stonith: Bug lf#2473 - Ensure stonith operations complete within the timeout and are terminated if they run too long
  + High: stonith: Bug lf#2473 - Gracefully handle remote operations that arrive late (after we've done notifications)
  + High: stonith: Bug lf#2473 - Add the timeout at the top level where the daemon is looking for it
  + High: stonith: Bug lf#2473 - Ensure timeouts are included for fencing operations
  + High: Stonith: Use the timeout specified by the user
  + High: Tools: Bug lf#2456 - Fix assertion failure in crm_resource

* Mon Jul 26 2010 Andrew Beekhof <andrew@beekhof.net> - 1.1.3-0.1-b3cb4f4a30ae.hg
- Pre-release version of 1.1.3
  + High: ais: Bug lf2401 - Improved processing when the peer crmd processes join/leave
  + High: ais: fix list of active processes sent to clients (bnc#603685)
  + High: ais: Move the code for finding uid before the fork so that the child does no logging
  + High: ais: Resolve coverity CONSTANT_EXPRESSION_RESULT defects
  + High: cib: Also free query result for xpath operations that return more than one hit
  + High: cib: Attempt to resolve memory corruption when forking a child to write the cib to disk
  + High: cib: Correctly free memory when writing out the cib to disk
  + High: cib: Fix the application of unversioned diffs
  + High: cib: Remove old developmental error logging
  + High: cib: Restructure the 'valid peer' check for deciding which instructions to ignore
  + High: Core: Bug lf#2401 - Backed out changeset 6e6980376f01
  + High: Core: Correctly unpack HA_Messages containing multiple entries with the same name
  + High: Core: crm_count_member() should only track nodes that have the full stack up
  + High: Core: New developmental logging system inspired by the kernel and a PoC from Lars Ellenberg
  + High: crmd: All nodes should see status updates, not just he DC
  + High: crmd: Allow non-DC nodes to clear failcounts too
  + High: crmd: Base DC election on process relative uptime
  + High: crmd: Bug lf#2439 - cancel_op() can also return HA_RSCBUSY
  + High: crmd: Bug lf#2439 - Handle asynchronous notification of resource deletion events
  + High: crmd: Fix assertion failure when performing async resource failures
  + High: crmd: Fix handling of async resource deletion results
  + High: crmd: Include the action for crm graph operations
  + High: crmd: Make sure the membership cache is accurate after a sucessful fencing operation
  + High: crmd: Make sure we always poke the FSA after a transition to clear any TE_HALT actions
  + High: crmd: Offer crm-level membership once the peer starts the crmd process
  + High: crmd: Only need to request quorum update for plugin based clusters
  + High: crmd: Prevent everyone from loosing DC elections by correctly initializing all relevant variables
  + High: crmd: Prevent segmentation fault
  + High: crmd: several fixes for async resource delete
  + High: mcp: Add missing headers when built without heartbeat support
  + High: mcp: New master control process for (re)spawning pacemaker daemons
  + High: PE: Avoid creating invalid ordering constraints for probes that are not needed
  + High: PE: Bug lf#1959 - Fail unmanaged resources should not prevent other services from shutting down
  + High: PE: Bug lf#2422 - Ordering dependencies on partially active groups not observed properly
  + High: PE: Bug lf#2424 - Use notify oepration definition if it exists in the configuration
  + High: PE: Bug lf#2433 - No services should be stopped until probes finish
  + High: PE: Bug lf#2453 - Enforce clone ordering in the absense of colocation constraints
  + High: PE: Correctly detect when there is a real failcount that expired and needs to be cleared
  + High: PE: Correctly handle pseudo action creation
  + High: PE: Correctly order clone startup after group/clone start
  + High: PE: Fix colocation for interleaved clones
  + High: PE: Fix colocation with partially active groups
  + High: PE: Fix potential use-after-free defect from coverity
  + High: PE: Fix previous merge
  + High: PE: Fix use-after-free in order_actions() reported by valgrind
  + High: PE: Prevent endless loop when looking for operation definitions in the configuration
  + High: Resolve coverity RESOURCE_LEAK defects
  + High: Shell: Complete the transition to using crm_attribute instead of crm_failcount and crm_standby
  + High: stonith: Advertise stonith-ng options in the metadata
  + High: stonith: Correctly parse pcmk_host_list parameters that appear on a single line
  + High: stonith: Map poweron/poweroff back to on/off expected by the stonith tool from cluster-glue
  + High: stonith: pass the configuration to the stonith program via environment variables (bnc#620781)
  + High: Support starting plugin-based Pacemaker clusters with the MCP as well
  + High: tools: crm_report - corosync.conf wont necessarily contain the text 'pacemaker' anymore
  + High: tools: crm_simulate - Resolve coverity USE_AFTER_FREE defect
  + High: Tools: Drop the 'pingd' daemon and resource agent in favor of ocf:pacemaker:ping
  + High: Tools: Fix recently introduced use-of-NULL
  + High: Tools: Fix use-after-free defect from coverity

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.2-5.1
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul  9 2010 Dan Horák <dan[at]danny.cz> - 1.1.2-5
- re-enable AIS cluster on s390(x)

* Fri Jul  9 2010 Dan Horák <dan[at]danny.cz> - 1.1.2-4
- AIS cluster not available on s390(x)

* Mon Jun 21 2010 Andrew Beekhof <andrew@beekhof.net> - 1.1.2-3
- publican is only available as a dependancy on i386/x86_64 machines

* Fri Jun 11 2010 Andrew Beekhof <andrew@beekhof.net> - 1.1.2-2
- Resolves rhbz#602239 - Added patch to documentation so that it passes validation
- High: Core: Bug lf#2401 - Backed out changeset 6e6980376f01

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.1.2-1.1
- Mass rebuild with perl-5.12.0

* Wed May 12 2010 Andrew Beekhof <andrew@beekhof.net> - 1.1.2-1
- Update the tarball from the upstream 1.1.2 release
  + High: ais: Bug lf#2340 - Force rogue child processes to terminate after waiting 2.5 minutes
  + High: ais: Bug lf#2359 - Default expected votes to 2 inside Corosync/OpenAIS plugin
  + High: ais: Bug lf#2359 - expected-quorum-votes not correctly updated after membership change
  + High: ais: Bug rhbz#525552 - Move non-threadsafe calls to setenv() to after the fork()
  + High: ais: Do not count votes from offline nodes and calculate current votes before sending quorum data
  + High: ais: Ensure the list of active processes sent to clients is always up-to-date
  + High: ais: Fix previous commit, actually return a result in get_process_list()
  + High: ais: Fix two more uses of getpwnam() in non-thread-safe locations
  + High: ais: Look for the correct conf variable for turning on file logging
  + High: ais: Need to find a better and thread-safe way to set core_uses_pid. Disable for now.
  + High: ais: Use the threadsafe version of getpwnam
  + High: Core: Bug lf#2414 - Prevent use-after-free reported by valgrind when doing xpath based deletions
  + High: Core: Bump the feature set due to the new failcount expiry feature
  + High: Core: Fix memory leak in replace_xml_child() reported by valgrind
  + High: Core: fix memory leaks exposed by valgrind
  + High: crmd: Bug 2401 - Improved detection of partially active peers
  + High: crmd: Bug bnc#578644 - Improve handling of cancelled operations caused by resource cleanup
  + High: crmd: Bug lf#2379 - Ensure the cluster terminates when the PE is not available
  + High: crmd: Bug lf#2414 - Prevent use-after-free of the PE connection after it dies
  + High: crmd: Bug lf#2414 - Prevent use-after-free of the stonith-ng connection
  + High: crmd: Do not allow the target_rc to be misused by resource agents
  + High: crmd: Do not ignore action timeouts based on FSA state
  + High: crmd: Ensure we dont get stuck in S_PENDING if we loose an election to someone that never talks to us again
  + High: crmd: Fix memory leaks exposed by valgrind
  + High: crmd: Remove race condition that could lead to multiple instances of a clone being active on a machine
  + High: crmd: Send erase_status_tag() calls to the local CIB when the DC is fenced, since there is no DC to accept them
  + High: crmd: Use global fencing notifications to prevent secondary fencing operations of the DC
  + High: fencing: Account for stonith_get_info() always returning a pointer to the same static buffer
  + High: PE: Allow startup probes to be disabled - their calculation is a major bottleneck for very large clusters
  + High: PE: Bug lf#2317 - Avoid needless restart of primitive depending on a clone
  + High: PE: Bug lf#2358 - Fix master-master anti-colocation
  + High: PE: Bug lf#2361 - Ensure clones observe mandatory ordering constraints if the LHS is unrunnable
  + High: PE: Bug lf#2383 - Combine failcounts for all instances of an anonymous clone on a host
  + High: PE: Bug lf#2384 - Fix intra-set colocation and ordering
  + High: PE: Bug lf#2403 - Enforce mandatory promotion (colocation) constraints
  + High: PE: Bug lf#2412 - Correctly locate clone instances by their prefix
  + High: PE: Correctly implement optional colocation between primitives and clone resources
  + High: PE: Do not be so quick to pull the trigger on nodes that are coming up
  + High: PE: Fix memory leaks exposed by valgrind
  + High: PE: Fix memory leaks reported by valgrind
  + High: PE: Repair handling of unordered groups in RHS ordering constraints
  + High: PE: Rewrite native_merge_weights() to avoid Fix use-after-free
  + High: PE: Suppress duplicate ordering constraints to achieve orders of magnitude speed increases for large clusters
  + High: Shell: add support for xml in cli
  + High: Shell: always reload status if working with the cluster (bnc#590035)
  + High: Shell: check timeouts also against the default-action-timeout property
  + High: Shell: Default to using the status section from the live CIB (bnc#592762)
  + High: Shell: edit multiple meta_attributes sets in resource management (lf#2315)
  + High: Shell: enable comments (lf#2221)
  + High: Shell: implement new cibstatus interface and commands (bnc#580492)
  + High: Shell: improve configure commit (lf#2336)
  + High: Shell: new cibstatus import command (bnc#585471)
  + High: Shell: new configure filter command
  + High: Shell: restore error reporting in options
  + High: Shell: split shell into modules
  + High: Shell: support for the utilization element (old patch for the new structure)
  + High: Shell: update previous node lookup procedure to include the id where necessary
  + High: Tools: crm_mon - fix memory leaks exposed by valgrind

* Thu Feb 11 2010 Andrew Beekhof <andrew@beekhof.net> - 1.1.1-0.1-60b7753f7310.hg
- Update the tarball from upstream to version 60b7753f7310
  + First public release of the 1.1 series

* Wed Dec 9 2009 Andrew Beekhof <andrew@beekhof.net> - 1.0.5-5
- Include patch of changeset 66b7bfd467f3:
  Some clients such as gfs_controld want a cluster name, allow one to be specified in corosync.conf

* Thu Oct 29 2009 Andrew Beekhof <andrew@beekhof.net> - 1.0.5-4
- Include the fixes from CoroSync integration testing
- Move the resource templates - they are not documentation
- Ensure documentation is placed in a standard location
- Exclude documentation that is included elsewhere in the package

- Update the tarball from upstream to version ee19d8e83c2a
  + High: cib: Correctly clean up when both plaintext and tls remote ports are requested
  + High: PE: Bug bnc#515172 - Provide better defaults for lt(e) and gt(e) comparisions
  + High: PE: Bug lf#2197 - Allow master instances placemaker to be influenced by colocation constraints
  + High: PE: Make sure promote/demote pseudo actions are created correctly
  + High: PE: Prevent target-role from promoting more than master-max instances
  + High: ais: Bug lf#2199 - Prevent expected-quorum-votes from being populated with garbage
  + High: ais: Prevent deadlock - dont try to release IPC message if the connection failed
  + High: cib: For validation errors, send back the full CIB so the client can display the errors
  + High: cib: Prevent use-after-free for remote plaintext connections
  + High: crmd: Bug lf#2201 - Prevent use-of-NULL when running heartbeat
  + High: Core: Bug lf#2169 - Allow dtd/schema validation to be disabled
  + High: PE: Bug lf#2106 - Not all anonymous clone children are restarted after configuration change
  + High: PE: Bug lf#2170 - stop-all-resources option had no effect
  + High: PE: Bug lf#2171 - Prevent groups from starting if they depend on a complex resource which cannot
  + High: PE: Disable resource management if stonith-enabled=true and no stonith resources are defined
  + High: PE: Do not include master score if it would prevent allocation
  + High: ais: Avoid excessive load by checking for dead children every 1s (instead of 100ms)
  + High: ais: Bug rh#525589 - Prevent shutdown deadlocks when running on CoroSync
  + High: ais: Gracefully handle changes to the AIS nodeid
  + High: crmd: Bug bnc#527530 - Wait for the transition to complete before leaving S_TRANSITION_ENGINE
  + High: crmd: Prevent use-after-free with LOG_DEBUG_3
  + Medium: xml: Mask the "symmetrical" attribute on rsc_colocation constraints (bnc#540672)
  + Medium (bnc#520707): Tools: crm: new templates ocfs2 and clvm
  + Medium: Build: Invert the disable ais/heartbeat logic so that --without (ais|heartbeat) is available to rpmbuild
  + Medium: PE: Bug lf#2178 - Indicate unmanaged clones
  + Medium: PE: Bug lf#2180 - Include node information for all failed ops
  + Medium: PE: Bug lf#2189 - Incorrect error message when unpacking simple ordering constraint
  + Medium: PE: Correctly log resources that would like to start but cannot
  + Medium: PE: Stop ptest from logging to syslog
  + Medium: ais: Include version details in plugin name
  + Medium: crmd: Requery the resource metadata after every start operation

* Fri Oct  9 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.5-3
- rebuilt with new net-snmp

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.0.5-2.1
- rebuilt with new openssl

* Wed Aug 19 2009 Andrew Beekhof <andrew@beekhof.net> - 1.0.5-2
- Add versioned perl dependancy as specified by
    https://fedoraproject.org/wiki/Packaging/Perl#Packages_that_link_to_libperl
- No longer remove RPATH data, it prevents us finding libperl.so and no other
  libraries were being hardcoded
- Compile in support for heartbeat
- Conditionally add heartbeat-devel and corosynclib-devel to the -devel requirements
  depending on which stacks are supported

* Mon Aug 17 2009 Andrew Beekhof <andrew@beekhof.net> - 1.0.5-1
- Add dependancy on resource-agents
- Use the version of the configure macro that supplies --prefix, --libdir, etc
- Update the tarball from upstream to version 462f1569a437 (Pacemaker 1.0.5 final)
  + High: Tools: crm_resource - Advertise --move instead of --migrate
  + Medium: Extra: New node connectivity RA that uses system ping and attrd_updater
  + Medium: crmd: Note that dc-deadtime can be used to mask the brokeness of some switches

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.0.5-0.7.c9120a53a6ae.hg
- Use bzipped upstream tarball.

* Wed Jul  29 2009 Andrew Beekhof <andrew@beekhof.net> - 1.0.5-0.6.c9120a53a6ae.hg
- Add back missing build auto* dependancies
- Minor cleanups to the install directive

* Tue Jul  28 2009 Andrew Beekhof <andrew@beekhof.net> - 1.0.5-0.5.c9120a53a6ae.hg
- Add a leading zero to the revision when alphatag is used

* Tue Jul  28 2009 Andrew Beekhof <andrew@beekhof.net> - 1.0.5-0.4.c9120a53a6ae.hg
- Incorporate the feedback from the cluster-glue review
- Realistically, the version is a 1.0.5 pre-release
- Use the global directive instead of define for variables
- Use the haclient/hacluster group/user instead of daemon
- Use the _configure macro
- Fix install dependancies

* Fri Jul  24 2009 Andrew Beekhof <andrew@beekhof.net> - 1.0.4-3
- Include an AUTHORS and license file in each package
- Change the library package name to pacemaker-libs to be more
  Fedora compliant
- Remove execute permissions from xml related files
- Reference the new cluster-glue devel package name
- Update the tarball from upstream to version c9120a53a6ae
  + High: PE: Only prevent migration if the clone dependancy is stopping/starting on the target node
  + High: PE: Bug 2160 - Dont shuffle clones due to colocation
  + High: PE: New implementation of the resource migration (not stop/start) logic
  + Medium: Tools: crm_resource - Prevent use-of-NULL by requiring a resource name for the -A and -a options
  + Medium: PE: Prevent use-of-NULL in find_first_action()
  + Low: Build: Include licensing files

* Tue Jul 14 2009 Andrew Beekhof <andrew@beekhof.net> - 1.0.4-2
- Reference authors from the project AUTHORS file instead of listing in description
- Change Source0 to reference the project's Mercurial repo
- Cleaned up the summaries and descriptions
- Incorporate the results of Fedora package self-review

* Tue Jul 14 2009 Andrew Beekhof <andrew@beekhof.net> - 1.0.4-1
- Initial checkin
